<?php

namespace Teknisa\EST\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

class Est08800PrevisaoComprasPrazoExpedicaoFornecedorController extends \Teknisa\EST\Controllers\TeknisaCrud {
    protected $dataSourceName = '';
	protected $parameterBagColumns = array('');
	
	public function __construct($crudService, $parameterBag, $service) {
		parent::__construct($crudService, $parameterBag);
	    $this->service = $service;
	}
	
	public function est08800gridPrincipal(DTO\Request $request, DTO\Response $response) {
		try {
			$filtro = $request->getFilterCriteria()->getConditions();
			
			$row = array(
				"P_CDFILIAL" => "",
				"P_DTINI" => "",
				"P_DTFIN" => "",
				"P_CDGRUPPROD" => "",
				"P_CDSUBGRPROD" => "",
				"P_CDPRODINI" => "",
				"P_CDPRODFIN" => "",
				"P_QTDIAESTOQUE" => ""
			);
			var_dump($row);
			die();
			
			foreach($filtro as $f) {
				$row[$f['columnName']] = $f['value'];
			}
			
			$retornoFuncao = $this->service->funcaoGridDados($row);
			
			$response->addDataSet(new DataSet("est08800gridPrincipal", $retornoFuncao));
		} catch(Exception $e) {
			
		}
	}
}