<?php
namespace Teknisa\EST\Controllers;

use Teknisa\EST\Controllers\TeknisaCrud;
//use Teknisa\Libs\Controller\CrudNext;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

use Teknisa\EST\Services\ProdProcessaService;

class ProdProcessa  {
//class ProdProcessa extends \Teknisa\Libs\Controller\CrudNext {

    //protected $parameterBagColumns = array("P_CDFILIAL", "P_DTINVEROTA", "P_CDALMOXARIFE");
    protected $dataSourceName = 'lancprocessa';
    protected $dataSourceComLote = 'localestoque_inverotalote';
    protected $crudService;
    protected $environment;
    protected $nameProvider;
    protected $dataSourceManager;
    protected $ProdProcessaService;
    
    public function __construct($crudService, $environment, $nameProvider, $dataSourceManager, ProdProcessaService $ProdProcessaService) {
		$this->crudService = $crudService;
        $this->environment = $environment;
        $this->nameProvider = $nameProvider;
        $this->dataSourceManager = $dataSourceManager;
        $this->service = $ProdProcessaService;
	}

    public function saveProdProcessa(DTO\Request $request, DTO\Response $response) {
        try{
           /* $this->environment->setCdFilial('0003');
            $this->environment->setNrOrgTrab('1');
            $this->environment->setNrOrg('1');
            $next = new DTO\Next\Response(
                'lancprocessa',    //datasourceName
                ['NRLANCPROCESSA', 'CDFILIAL'] //datasource PKs
            );
            
            $arrRespose = array();
            $nextRequest = parent::buildRequest($request);
            $rowsToSave = $nextRequest->getDataSet()->getRows();
            foreach($rowsToSave as &$rowRetirada){
                $this->service->doStockOperations($rowRetirada);
                $arrRespose[] = $rowRetirada;
            }
            $dataSet = new DataSet("data", $arrRespose);
            $response->addDataSet($dataSet);
            $next->setDataSet($dataSet);
            $response->setZeedhiNext($next);*/
        } catch(\Exception $e){
            if( $e->getMessage() == "A confirmação da operação faria com que a posição de estoque de alguns itens se tornasse irregular."){
                $response->setError(new Error($this->service->getIrregularProducts(), 500));
            }else{
                throw $e;
            }
        }
    }
    
    public function deleteProdProcessa(DTO\Request $request, DTO\Response $response) {
        try{
            /*$this->environment->setCdFilial('0003');
            $this->environment->setNrOrgTrab('1');
            $this->environment->setNrOrg('1');
            $next = new DTO\Next\Response(
                'lancprocessa',    //datasourceName
                ['NRLANCPROCESSA', 'CDFILIAL'] //datasource PKs
            );
            
            $nextRequest = parent::buildRequest($request);
            $rowsToSave = $nextRequest->getDataSet()->getRows();
            
            $dataSet = new DataSet("data", $rowsToSave);
            $response->addDataSet($dataSet);
            $next->setDataSet($dataSet);
            
            foreach($rowsToSave as &$rowRetirada){
                $this->service->deleteStockOperations($rowRetirada);
            }
            $response->setZeedhiNext($next); */
        } catch(\Exception $e){
            if( $e->getMessage() == "A confirmação da operação faria com que a posição de estoque de alguns itens se tornasse irregular."){
                $response->setError(new Error($this->service->getIrregularProducts(), 500));
            }else{
                throw $e;
            }
        }
    }

}