package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.PosicaoDeEstoqueFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.PosicaoDeEstoquePage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.annotations.Test;


public class PosicaoDeEstoqueTests extends TestBase {

    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    PosicaoDeEstoqueFlows posicaoDeEstoqueFlows;
    PosicaoDeEstoquePage posicaoDeEstoquePage;


    @Test (description = "Est-13")
    public void GerarPosicaoDeEstoqueGrid(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        posicaoDeEstoqueFlows = new PosicaoDeEstoqueFlows();
        posicaoDeEstoquePage = new PosicaoDeEstoquePage();


        //Parameteres_Lançamento:
        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String descAlmoxarifado = "HELA MATRIZ";
        String descUnidade = "HELA INGREDIENTES BRASIL";
        String descTipoDeCusto = "Custo Médio Líquido Atual";



        //Rotinas:
        loginFlows.efetuarLogin();
       // mainFlows.AcessandoTrocaUnidadeNaoControlaLote();
        mainFlows.AcessandoPosicaoDeEstoque();
        posicaoDeEstoqueFlows.GerarPosicaoDeEstoque(descUnidade,descAlmoxarifado,descTipoDeCusto,descProduto);


    }

}
